<CFAPPLICATION 
	NAME="BannerTracker" 
	CLIENTMANAGEMENT="Yes" 
	SESSIONMANAGEMENT="Yes" 
	APPLICATIONTIMEOUT="#CreateTimespan( 0, 1, 0, 0 )#" 
	SESSIONTIMEOUT="#CreateTimespan( 0, 1, 0, 0 )#">

<cfparam name="application.load_setup" default="y">

<cfif application.load_setup is "y">

	<cflock scope="application" type="exclusive" timeout="10">
	
		<!--- load setup once --->
		<cfset application.load_setup = "n">
	
		<!--- defined datasource --->
		<cfset application.bt_datasource = "bannertracker">
		
		<!--- define username and password for queries (optional) --->
		<cfset application.btdb_username = "">
		<cfset application.btdb_password = "">
		
		<cfquery username="#application.btdb_username#" password="#application.btdb_password#" datasource="#application.bt_datasource#" name="get_time_var">
		select time_variable
		from
		bannertrackersetup
		where id = 1
		</cfquery>
		
		<cfset application.bt_time_variable = "#get_time_var.time_variable#">	
	
	</cflock>
	
</cfif>